<?xml version="1.0" encoding="UTF-8"?>

<!-- XMLVend Reference Server: Common Templates for Responses
    
    This file contains common / named templates which may be re-used to
    prevent tedious repetition of style rules when constructing reponse
    messages. This templates assumes that the root of the input document
    is an XMLVend Base Request, or a sub-type thereof (and not wrapped in
    something like SOAP).
    
    @version 0.1 (13 Feb 2006)
    @author D.Loubser (Solms TCD)
    
-->

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Declare Global variables - These may updated.-->
    
    <!-- Valid MSNO's -->
    <xsl:variable name="validMSNO">06686069342,04080196530</xsl:variable> 
    
    <!-- Ends -->
    
    
    <!-- respDateTime parameter from Java transform code -->
    <xsl:param name="Date">2005-10-27T14:55:56.041Z</xsl:param>
    
    <!-- Inserts the common message attributes as per the BaseRequest/BaseResponse types.
    Requires the root element (request message) to be the current context node. -->
    <xsl:template name="baseResponseAttributes">
        
             
        <!-- Copy client id from request (unchanged) -->
        <xsl:copy-of select="/*/b0:clientID"/>
        
        <!-- ServerID: TODO Maybe pass in as XSLT param ...? -->
        <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321" />
        
        <!-- Copy client id from request (unchanged) -->
        <xsl:copy-of select="/*/b0:terminalID"/>
        
        <!-- Pull info from request message ID -->
        <b0:reqMsgID dateTime="{/*/b0:msgID/@dateTime}" 
            uniqueNumber="{/*/b0:msgID/@uniqueNumber}"/>
        
        <!-- TODO For date/time, an XSLT param could also be used ...? -->
        <b0:respDateTime ><xsl:value-of select="$Date"/></b0:respDateTime>
    </xsl:template>
    
    
    <!-- Default template, to match messages for which there is no other template.
        Sends a SOAP fault back to indicate that no message matched (UnsupportedUseCase?)-->
    <!-- TODO: Add SOAP fault -->
    <xsl:template match="/*" priority="-1">
        <error>
            <description>The server does not contain a template to process this request.</description>
            <likelyCause>Server misconfiguration (invalid XSLT templates).</likelyCause>
        </error>
    </xsl:template>
    
</xsl:stylesheet>
