<?xml version="1.0" encoding="UTF-8"?>
<?soap-fault-for exceptionType="za.co.eskom.nrs.xmlvend.server.NoResponseFoundException"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema"
    xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">

    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Details of root-cause exception -->
    <xsl:param name="exception.class"/>
    <xsl:param name="exception.message"/>

    <xsl:template match="/">
        <soap:Fault>
            <faultcode>soap:Server</faultcode>
            <faultstring>Technical: <xsl:value-of select="$exception.message"/>  (<xsl:value-of select="local-name( /* )"/>) (<xsl:value-of select="$exception.class"/>)</faultstring>
            <detail>
                <b0:xmlvendFaultResp>
        
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
       
                    <b0:dispHeader>ONLINE VENDING ERROR</b0:dispHeader>
                    <b0:operatorMsg>The server does not support the requested function. Contact your service provider.</b0:operatorMsg>
                    <b0:fault xsi:type="b0:UseCaseSupportEx">
                        <b0:desc>Technical: <xsl:value-of select="$exception.message"/>(<xsl:value-of select="local-name( /* )"/>)
                        (<xsl:value-of select="$exception.class"/>)</b0:desc>
                    </b0:fault>
                </b0:xmlvendFaultResp>
            </detail>
            </soap:Fault>
    </xsl:template>
    
</xsl:stylesheet>
