<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="ConfirmMeterReq" namespace="http://www.nrs.eskom.co.za/xmlvend/meter/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:m0="http://www.nrs.eskom.co.za/xmlvend/meter/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/m0:confirmMeterReq">
        
        <m0:confirmMeterResp>
            
             <!-- Insert the Common request attributes -->
            <xsl:call-template name="baseResponseAttributes"/>
            
            <b0:dispHeader>Confirm Meter Details</b0:dispHeader>
            <m0:confirmMeterResult>
                
                <!-- Populate Meter Details based on the meter identifier -->
                <xsl:choose>
                    <xsl:when test="./m0:idMethod/b0:meterIdentifier[contains (string(@xsi:type), 'MeterNumber' )]">
                        <m0:meterDetail xsi:type="b0:MeterDetail" 
                            msno="{./m0:idMethod/b0:meterIdentifier/@msno}"
                            sgc="100600" 
                            krn="1" 
                            ti="07">
                            <b0:meterType at="07" tt="02"/>
                        </m0:meterDetail>
                    </xsl:when>
                    <xsl:when test="./m0:idMethod/b0:meterIdentifier[contains (string(@xsi:type), 'MeterCard' )]">
                        <!-- Track2Data with no date field -->
                        <xsl:if test="string-length(./m0:idMethod/b0:meterIdentifier/b0:track2Data) = '34'">
                            <m0:meterDetail xsi:type="b0:MeterDetail" 
                                msno="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,7,11)}"
                                sgc="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,26,6)}" 
                                krn="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,34,1)}" 
                                ti="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,32,2)}">
                                <b0:meterType at="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,24,2)}" tt="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,22,2)}"/>
                            </m0:meterDetail>
                        </xsl:if>
                        <!-- Track2Data with date field -->
                        <xsl:if test="string-length(./m0:idMethod/b0:meterIdentifier/b0:track2Data) = '37'">
                            <m0:meterDetail xsi:type="b0:MeterDetail" 
                                msno="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,7,11)}"
                                sgc="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,29,6)}" 
                                krn="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,37,1)}" 
                                ti="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,35,2)}">
                                <b0:meterType at="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,27,2)}" tt="{substring(./m0:idMethod/b0:meterIdentifier/b0:track2Data,25,2)}"/>
                            </m0:meterDetail>                            
                        </xsl:if>    
                    </xsl:when>    
                    <xsl:when test="./m0:idMethod/b0:meterIdentifier[contains (string(@xsi:type), 'MeterDetail' )]">
                        <m0:meterDetail xsi:type="b0:MeterDetail" 
                            msno="{./m0:idMethod/b0:meterIdentifier/@msno}"
                            sgc="{./m0:idMethod/b0:meterIdentifier/@sgc}"
                            krn="{./m0:idMethod/b0:meterIdentifier/@krn}" 
                            ti="{./m0:idMethod/b0:meterIdentifier/@ti}">
                            <b0:meterType at="{./m0:idMethod/b0:meterIdentifier/b0:meterType/@at}" tt="{./m0:idMethod/b0:meterIdentifier/b0:meterType/@tt}"/>
                        </m0:meterDetail>
                    </xsl:when>     
                    <xsl:otherwise>
                                <m0:error>No meter details</m0:error>
                     </xsl:otherwise>                    
                </xsl:choose>
                
            </m0:confirmMeterResult>
        </m0:confirmMeterResp>
    </xsl:template>
    
</xsl:stylesheet>
