<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="PhUnbalReq" namespace="http://www.nrs.eskom.co.za/xmlvend/meter/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:m0="http://www.nrs.eskom.co.za/xmlvend/meter/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    <xsl:import href="../common/baseVend.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/*">
        
        <m0:meterSpecificEngResp  xsi:type="m0:PhUnbalResp">
            
            <!-- Insert the Common request attributes -->
            <xsl:call-template name="baseResponseAttributes"/>
            
            <b0:dispHeader>Meter Specific Engineering - Phase Unbalance</b0:dispHeader>
            <b0:clientStatus>
                <b0:availCredit value="1000" symbol="ZAR"/>
            </b0:clientStatus>
            <b0:utility name="Eskom" address="Foo Road" taxRef="1234567890" />
            <m0:phUnbalance>
                <b0:desc>Phase Unbalance</b0:desc>
               
                <!-- Insert the BaseVend Meter request attributes -->
                <xsl:call-template name="baseVendResponseAttributes"/>
                
                <b0:token xsi:type="b0:STS1Token">
                    <b0:stsCipher>00000000001207974400</b0:stsCipher>
                </b0:token>
                <b0:pwrLmt value="{./m0:pwrLmt/@value}" siUnit="{./m0:pwrLmt/@siUnit}"/>
            </m0:phUnbalance>
        </m0:meterSpecificEngResp>
        
    </xsl:template>
    
</xsl:stylesheet>
