<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="EndSalesBatchReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r:endBatchReq">
        
        <r:endBatchResp>
            
            <!-- Insert the Common request attributes -->
            <xsl:call-template name="baseResponseAttributes"/>
            
    <b0:dispHeader>End Sales Batch</b0:dispHeader>
    <b0:operatorMsg>The sales batch has been closed.</b0:operatorMsg>
    <r:endBatch xsi:type="r:SalesBatch" seqNo="1234">
        <r:started>2005-10-27T14:55:56.041Z</r:started>
        <r:ended>2005-10-28T08:33:33.041Z</r:ended>
        <r:batchTot value="3154" symbol="ZAR"/>
          <r:batchReport>
            <r:txTotal xsi:type="r:NormalSaleTotal">
                <r:desc>Normal Sale</r:desc>
                <r:amt value="3100" symbol="ZAR"/>
            </r:txTotal>
            <r:txTotal xsi:type="r:DebtRecoveryTotal">
                <r:desc>Debt Recovery</r:desc>
                <r:amt value="54" symbol="ZAR"/>
            </r:txTotal>
            <r:operatorTotal>
                <r:opName>USER1</r:opName>
                <r:amt value="2000" symbol="ZAR"/>
            </r:operatorTotal>
            <r:operatorTotal>
                <r:opName>USER2</r:opName>
                <r:amt value="1154" symbol="ZAR"/>
            </r:operatorTotal>
            <r:payTypeTotal xsi:type="r:CashTotal">
                <r:desc>Cash</r:desc>
                <r:amt value="2154" symbol="ZAR"/>
            </r:payTypeTotal>
            <r:payTypeTotal xsi:type="r:CreditCardTotal">
                <r:desc>Credit Card</r:desc>
                <r:amt value="1000" symbol="ZAR"/>
            </r:payTypeTotal>
          </r:batchReport>
        <r:firstTxSeqNo>12345</r:firstTxSeqNo>
        <r:lastTxSeqNo>12355</r:lastTxSeqNo>
        <r:shiftBatch seqNo="3334">
            <r:started>2005-10-27T14:55:56.041Z</r:started>
            <r:ended>2005-10-28T08:33:33.041Z</r:ended>
            <r:batchTot value="2000" symbol="ZAR"/>
            <r:batchReport>
                <r:txTotal xsi:type="r:NormalSaleTotal">
                    <r:desc>Normal Sale</r:desc>
                    <r:amt value="2000" symbol="ZAR"/>
                </r:txTotal>
                <r:operatorTotal>
                    <r:opName>USER1</r:opName>
                    <r:amt value="2000" symbol="ZAR"/>
                </r:operatorTotal>
                <r:payTypeTotal xsi:type="r:CashTotal">
                    <r:desc>Cash</r:desc>
                    <r:amt value="1000" symbol="ZAR"/>
                </r:payTypeTotal>
                <r:payTypeTotal xsi:type="r:CreditCardTotal">
                    <r:desc>Credit Card</r:desc>
                    <r:amt value="1000" symbol="ZAR"/>
                </r:payTypeTotal>
                <r:resTot xsi:type="r:ElectricityTotal">
                    <r:desc>Electricity</r:desc>
                    <r:units value="2400" siUnit="kWh"/>
                </r:resTot>     
            </r:batchReport>
        </r:shiftBatch>
        <r:shiftBatch seqNo="3335">
         <r:started>2005-10-27T14:55:56.041Z</r:started>
        <r:ended>2005-10-28T08:33:33.041Z</r:ended>
        <r:batchTot value="3154" symbol="ZAR"/>
        <r:batchReport>
            <r:txTotal xsi:type="r:NormalSaleTotal">
                <r:desc>Normal Sale</r:desc>
                <r:amt value="1000" symbol="ZAR"/>
            </r:txTotal>
            <r:txTotal xsi:type="r:DebtRecoveryTotal">
                <r:desc>Debt Recovery</r:desc>
                <r:amt value="54" symbol="ZAR"/>
            </r:txTotal>
            <r:operatorTotal>
                <r:opName>USER1</r:opName>
                <r:amt value="1154" symbol="ZAR"/>
            </r:operatorTotal>
            <r:payTypeTotal xsi:type="r:CashTotal">
                <r:desc>Cash</r:desc>
                <r:amt value="1154" symbol="ZAR"/>
            </r:payTypeTotal>
           <r:resTot xsi:type="r:ElectricityTotal">
                <r:desc>Electricity</r:desc>
                <r:units value="1300" siUnit="kWh"/>
            </r:resTot>     
        </r:batchReport>
        </r:shiftBatch>
    </r:endBatch>
    </r:endBatchResp>
            
    </xsl:template>
    
</xsl:stylesheet>
