<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="ReprintDepositReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r0:reprintDepReq">
        
                <r0:reprintDepResp>
                    
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                    
                    <b0:dispHeader>Deposit Slip - Reprint</b0:dispHeader>
                    <b0:operatorMsg>Deposit slip reprinted.</b0:operatorMsg>
                    <r0:reprint>
                        <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
                        <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
                        <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
                        <b0:reqMsgID dateTime="20051027083333" uniqueNumber="3"/>
                        <b0:respDateTime>2005-10-27T17:55:56.041Z</b0:respDateTime>
                        <b0:dispHeader>DEPOSIT SLIP</b0:dispHeader>
                        <r0:depSlip bankingRefNo="1234567890" >
                            <r0:header>Deposit Slip</r0:header>
                            <r0:amt value="1200" symbol="ZAR"/>
                            <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                        </r0:depSlip>
                    </r0:reprint>
                    <r0:reprint>
                        <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
                        <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
                        <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
                        <b0:reqMsgID dateTime="20051028083333" uniqueNumber="10"/>
                        <b0:respDateTime>2005-10-27T17:55:56.041Z</b0:respDateTime>
                        <b0:dispHeader>DEPOSIT SLIP</b0:dispHeader>
                        <r0:depSlip bankingRefNo="1234567890" >
                            <r0:header>Deposit Slip</r0:header>
                            <r0:amt value="1200" symbol="ZAR"/>
                            <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                        </r0:depSlip>
                    </r0:reprint>
                    <r0:reprint>
                        <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
                        <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
                        <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
                        <b0:reqMsgID dateTime="20051029083333" uniqueNumber="45"/>
                        <b0:respDateTime>2005-10-27T17:55:56.041Z</b0:respDateTime>
                        <b0:dispHeader>DEPOSIT SLIP</b0:dispHeader>
                        <r0:depSlip bankingRefNo="1234567890" >
                            <r0:header>Deposit Slip</r0:header>
                            <r0:amt value="1200" symbol="ZAR"/>
                            <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                        </r0:depSlip>
                    </r0:reprint>
                </r0:reprintDepResp>

    </xsl:template>
    
</xsl:stylesheet>