package za.co.eskom.nrs.xmlvend.messages;

import java.util.Date;

/** Represents the ID (sequence number) of an XMlvend message */
public class MessageID
{
	public MessageID(Date dateTime, long uniqueNumber)
	{
		this.dateTime = dateTime;
		this.uniqueNumber = uniqueNumber;
	}
	
	public Date getDateTime()
	{
		return dateTime;
	}
	public void setDateTime(Date dateTime)
	{
		this.dateTime = dateTime;
	}
	public long getUniqueNumber()
	{
		return uniqueNumber;
	}
	public void setUniqueNumber(long uniqueNumber)
	{
		this.uniqueNumber = uniqueNumber;
	}
	
	public boolean equals(Object obj)
	{
		try
		{
			MessageID other = (MessageID)obj;
			return other.getDateTime().equals( getDateTime() ) && other.getUniqueNumber() == getUniqueNumber();
		}
		catch (Exception e)
		{
			return false;
		}
	}
	
	public int hashCode()
	{
		String s = "" + getDateTime() + ":" + getUniqueNumber();
		return s.hashCode();
	}
	
	public String toString()
	{
		return "Message ID: " + dateTime + " (" + uniqueNumber + ")";
	}
	
	private Date dateTime;
	private long uniqueNumber;
}