package za.co.eskom.nrs.xmlvend.messages;

/** Logically identifies an XMLVend emssage */
public class MessageIdentifier
{
	public MessageIdentifier(ClientID clientID, MessageID messageID)
	{
		setClientID( clientID );
		setMessageID( messageID );
	}

	public ClientID getClientID()
	{
		return clientID;
	}
	public void setClientID(ClientID clientID)
	{
		this.clientID = clientID;
	}
	public MessageID getMessageID()
	{
		return messageID;
	}
	public void setMessageID(MessageID messageID)
	{
		this.messageID = messageID;
	}
	
	public boolean equals(Object obj)
	{
		try
		{
			MessageIdentifier other = (MessageIdentifier)obj;
			return other.getClientID().equals( getClientID() ) && other.getMessageID().equals( getMessageID() );
		}
		catch (Exception e)
		{
			return false;
		}
	}
	
	public int hashCode()
	{
		try
		{
			String s = "" + getClientID().hashCode() + ":" + getMessageID().hashCode();
			return s.hashCode();
		}
		catch (Exception e)
		{
			return super.hashCode();
		}
	}
	
	public String toString()
	{
		return "Message identifier: " + getClientID() + "/" + getMessageID();
	}
	
	private ClientID clientID;
	private MessageID messageID;
}
