package za.co.eskom.nrs.xmlvend.messages;

import nu.xom.Document;

/** Produces message identifiers for various sorts of messages 
 * 
 * TODO: Add functionality to automatically derive identification based on message type.
 * */
public class MessageIdentifierFactory
{
	/* TODO: Add general: public static MessageIdentifier identifyRequestMessage( Document requestMessage )
	{
		
	}*/
	
	/**KPS - 13/10/2006
	 * Given a request message produce the message Identfier
	 */
	public static MessageIdentifier identifyRequestMessage( Document requestMessage ) throws MessageUnidentifiableException
	{
		// Get clientID
		ClientID clientID = ClientIDFactory.getClientIDFromMessage( requestMessage );
		
		// Get messageID
		MessageID msgID = MessageIDFactory.getMessageIDFromRequestMessage( requestMessage );
		
		// Create MessageIdentifier
		return new MessageIdentifier( clientID, msgID );
	}
	
	/** Given an advice message, produces an identifier for the original request which this
	 * advice message refers to */
	public static MessageIdentifier identifyAdviceMessage( Document adviceMessage ) throws MessageUnidentifiableException
	{
		// Get clientID
		ClientID clientID = ClientIDFactory.getClientIDFromMessage( adviceMessage );
		
		// Get messageID
		MessageID msgID = MessageIDFactory.getMessageIDFromAdviceMessage( adviceMessage );
		
		// Create MessageIdentifier
		return new MessageIdentifier( clientID, msgID );
	}
	
	
	public static MessageIdentifier identifyResponseMessage( Document responseMessage ) throws MessageUnidentifiableException
	{
		// Get clientID
		ClientID clientID = ClientIDFactory.getClientIDFromMessage( responseMessage );
		
		// Get messageID
		MessageID msgID = MessageIDFactory.getMessageIDFromResponseMessage( responseMessage );
		
		// Create MessageIdentifier
		return new MessageIdentifier( clientID, msgID );
	}
}
