package za.co.eskom.nrs.xmlvend.server.advice;

import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;

import za.co.eskom.nrs.xmlvend.server.XMLVendConstants;
import nu.xom.Attribute;
import nu.xom.Document;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.XPathContext;

/** Produces string reresentations of client IDs. NOTE: These are just string approximations
 * for reasons of unique identification. */
public class ClientIDStringFactory
{
	/** FIXME: This is a hack (does not cater for logically identical messages, but using different namespace prefixes) */
	public static String getClientIDString( Document xmlvendMessage )
	{
		String id = null;
		// Get first clientID node
		Nodes clientID = xmlvendMessage.query("//base:clientID", xpc);
		if (clientID.size() > 0)
		{
			// First occurrence
			Node c = clientID.get(0);
			
			// Get all atributes on ID element
			Nodes n = c.query("@*", xpc);
			if (n.size() > 0)
			{
				// Sort alphabetically based on attribute name
				SortedMap<String,String> map = new TreeMap<String,String>();
				for (int i = 0; i < n.size(); i++)
				{
					Attribute attribute = (Attribute)n.get(i);
					map.put( attribute.getLocalName(), attribute.getValue() );
				}
				
				// Build ID string
				id = "";
				for (Map.Entry<String,String> entry : map.entrySet())
				{
					id += entry.getValue();
				}
			}
		}
		
		return id;
	}
	
	private static XPathContext xpc = new XPathContext("base",XMLVendConstants.XMLVEND_BASE_NAMESPACE);
}