package za.co.eskom.nrs.xmlvend.server.advice.tests;

import java.net.URL;

import za.co.eskom.nrs.xmlvend.server.advice.ClientIDStringFactory;

import nu.xom.Builder;
import nu.xom.Document;

import junit.framework.TestCase;

public class ClientIDStringFactoryTest extends TestCase
{

	public static void main(String[] args)
	{
		junit.textui.TestRunner.run(ClientIDStringFactoryTest.class);
	}

	protected void setUp() throws Exception
	{
		// Load test documents
		Builder builder = new Builder();
		testDocument1 = builder.build( 
				getClass().getClassLoader().getResourceAsStream("za/co/eskom/nrs/xmlvend/server/advice/tests/idGenTest1.xml")
				);
		testDocument2 = builder.build( 
				getClass().getClassLoader().getResourceAsStream("za/co/eskom/nrs/xmlvend/server/advice/tests/idGenTest2.xml")
				);
		testDocument3 = builder.build( 
				getClass().getClassLoader().getResourceAsStream("za/co/eskom/nrs/xmlvend/server/advice/tests/idGenTest3.xml")
				);
		
	}
	
	
	public void testGetClientIDString()
	{
		String expected = "1234567890123b0:EANDeviceID";
		String id1 = ClientIDStringFactory.getClientIDString( testDocument1 );
		assertEquals( id1, expected );
		String id2 = ClientIDStringFactory.getClientIDString( testDocument2 );
		assertEquals( id2, expected );
		String id3 = ClientIDStringFactory.getClientIDString( testDocument3 );
		assertEquals( id3, expected );
	}

	
	protected void tearDown() throws Exception
	{
		super.tearDown();
	}
	
	private Document testDocument1, testDocument2, testDocument3;

}
