package za.co.solms.framework.ooxml.types;

import java.net.URL;
import java.util.Set;

/** A schema locator provides a collection of schemas by URL. It is used to
 * de-couple the source of schemas from a component which makes use of them,
 * by abstracting details such as searching for schemas in a set of directory(ies)
 * etc, whilst still relying on the URL mechanism for actual reading.
 * @author dawidl
 * @version 0.1 (Nov 6, 2005)
 *
 */
public interface SchemaLocator
{

	/** Provides a set of schema URLs, which are guaranteed to exist, and which
	 * may be read by a schema processing component.
	 * @return
	 */
	public Set<URL> getSchemaURLs();
}
